# Uses of Interface
org.apache.lucene.benchmark.quality.QualityQueryParser

Packages that use QualityQueryParser
Package
Description
org.apache.lucene.benchmark.quality
Search Quality Benchmarking.
org.apache.lucene.benchmark.quality.utils
Miscellaneous utilities for search quality benchmarking: query parsing, submission reports.

- ## Uses of QualityQueryParser in org.apache.lucene.benchmark.quality

  Fields in org.apache.lucene.benchmark.quality declared as QualityQueryParser
  Modifier and Type
  Field
  Description
  `protected QualityQueryParser`
  QualityBenchmark.`qqParser`
  Parser for turning QualityQueries into Lucene Queries.
  Constructors in org.apache.lucene.benchmark.quality with parameters of type QualityQueryParser
  Modifier
  Constructor
  Description
  ``
  `QualityBenchmark(QualityQuery[] qqs, QualityQueryParser qqParser, IndexSearcher searcher, String docNameField)`
  Create a QualityBenchmark.

- ## Uses of QualityQueryParser in org.apache.lucene.benchmark.quality.utils

  Classes in org.apache.lucene.benchmark.quality.utils that implement QualityQueryParser
  Modifier and Type
  Class
  Description
  `class`
  `SimpleQQParser`
  Simplistic quality query parser.